Bug 125793 - swig-1.3.21-2 does not provide 'libswigpy.so' etc....
swig-1.3.21-2 does not provide 'libswigpy.so' etc....
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: swig (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 10:35 EDT by Tom London
Modified: 2015-03-04 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-07 07:59:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2004-06-11 10:35:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
swig-1.3.21-2 provides '/usr/lib/libswigpy.so' (etc.), not 'libswigpy.so'.

That prevents updating/installing subversion-1.0.4-2 on machines that
have already updated to this version of swig.

On machine running swig-1.3.19-6.1:
[root@fedora root]# rpm -q --whatprovides libswigpy.so
swig-1.3.19-6.1
[root@fedora root]#

On machine with swig-1.3.21-2 you get:
[root@dell root]# rpm -q swig
swig-1.3.21-2
[root@dell root]# rpm -q --whatprovides libswigpy.so
no package provides libswigpy.so
[root@dell root]# rpm -q --whatprovides /usr/lib/libswigpy.so
swig-1.3.21-2
[root@dell root]#




Version-Release number of selected component (if applicable):
swig-1.3.21-2

How reproducible:
Always

Steps to Reproduce:
1. install swig-1.3.21-2
2. try to update to subversion-1.0.4-2
3.
    

Additional info:
Comment 1 Phil Knirsch 2004-07-07 07:59:54 EDT
Just update to

swig-1.3.21-3
subversion-1.0.5-2

from the development tree and everything will be fine again. :)

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.